Rensei docs

List registered A2A agents for the org

List registered A2A agents for the org - Rensei REST API operation reference.

GET
/api/a2a/agents

Authorization

cookieAuth
cookiewos-session<token>

WorkOS AuthKit browser session cookie.

Response Body

Registered agent list.

application/json
  1. response
agents*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/a2a/agents'
Example Response
{  "agents": [    {      "id": "string",      "orgId": "string",      "url": "http://example.com",      "trustLevel": "internal",      "card": {        "name": "string",        "version": "string",        "description": "string",        "supportedInterfaces": [          {            "url": "http://example.com",            "protocolBinding": "JSONRPC",            "protocolVersion": "1.0"          }        ],        "provider": {          "organization": "string",          "url": "http://example.com"        },        "capabilities": {          "streaming": true,          "pushNotifications": true        },        "securitySchemes": {},        "securityRequirements": [          {}        ],        "defaultInputModes": [          "string"        ],        "defaultOutputModes": [          "string"        ],        "skills": [          {}        ]      },      "lastFetchedAt": "2019-08-24T14:15:22Z",      "reachable": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}